org.apache.sling.validation.impl.postprocessor

## Class ValidationPostProcessor

- java.lang.Object
- - org.apache.sling.validation.impl.postprocessor.ValidationPostProcessor

All Implemented Interfaces:
  org.apache.sling.servlets.post.SlingPostProcessor

    public class ValidationPostProcessor
    extends Object
    implements org.apache.sling.servlets.post.SlingPostProcessor

### Field Summary

Fields
`protected org.apache.sling.validation.ValidationService` `validationService`

### Constructor Summary

Constructors
Constructor and Description
`ValidationPostProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(ValidationPostProcessorConfiguration configuration)`
`void` `process(org.apache.sling.api.SlingHttpServletRequest request, List<org.apache.sling.servlets.post.Modification> changes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### validationService

    protected org.apache.sling.validation.ValidationService validationService

### Constructor Detail

#### ValidationPostProcessor

    public ValidationPostProcessor()

### Method Detail

#### activate

    protected void activate(ValidationPostProcessorConfiguration configuration)

#### process

    public void process(org.apache.sling.api.SlingHttpServletRequest request,
                        List<org.apache.sling.servlets.post.Modification> changes)
                 throws Exception

Specified by:
  `process` in interface `org.apache.sling.servlets.post.SlingPostProcessor`
Throws:
  `Exception`